Subject: Re: SMU-base PowerMac and server_mode

From: Olof Johansson <[email-masked]>
Date: Tue, 6 Oct 2009 11:07:49 -0500

On Tue, Oct 06, 2009 at 09:11:22PM +1100, Benjamin Herrenschmidt wrote:
> On Tue, 2009-10-06 at 11:16 +0200, Romain Goyet wrote:
> > Hi there,
> > 
> > 
> >   I have this Quad G5 here, running GentooPPC64. Runs fine. Had a hard
> > time getting it to boot without a screen attached, but I eventually
> > managed to (yaboot was the culprit). However, this machine is
> > SMU-based, and I couldn't find a way to enable the equivalent of the
> > PMU's "server_mode" (i.e. automatically reboot after a power failure).
> > Is there any known way to do that ?
> 
> I'm pretty sure I reverse engineered the necessary command a while back
> and somebody wrote a userland tool to set it, but I can't find it
> anymore :-)

Yeah, I had one but I have since lost it.  I suspect it was on the
drive of my second quad that I wiped before I sold it, thinking there
was nothing of value on it. :(

-Olof